SDXFrameWork 0.12 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Static Public Member Functions | List of all members
SDX::Rand Class Reference

乱数生成関数群. More...

`#include <Rand.h>`

## Static Public Member Functions
static void | Reset (int 初期化子)
| 乱数を初期化する. More...
static double | Get (double 最大値)
| 0～最大値の乱数を取得. More...
static int | Get (int 最大値)
| 0～最大値の乱数を取得. More...
static double | Get (double 最小値, double 最大値)
| 範囲を指定して乱数を取得. More...
static int | Get (int 最小値, int 最大値)
| 範囲を指定して乱数を取得. More...
static bool | Coin (double trueになる確率)
| 範囲を指定して乱数を取得. More...

## Detailed Description

乱数生成関数群.

//Copyright © 2014 SDXFramework
//[License]GNU Affero General Public License, version 3
//[Contact]http://sourceforge.jp/projects/dxframework/
//乱数で取得して表示する
#include <SDXFramework.h>
bool SampleRand()
{
using namespace SDX;
System::Initialise("sample", 640, 480);
while (System::Update())
{
//乱数を初期化する
Rand::Reset(0);
int a = Rand::Get(100);
double b = Rand::Get(100.0);
//現在時間で初期化して取得
Rand::Reset(int(Time::GetNowCount() / 1000));
int c = Rand::Get(100);
double d = Rand::Get(100.0);
//a,bは初期化子が同じなので常に同じ、cdは一秒毎に変化
Drawing::String({ 10, 10 }, Color::White, { "a:", a });
Drawing::String({ 10, 50 }, Color::White, { "b:", b });
Drawing::String({ 10, 90 }, Color::White, { "c:", c });
Drawing::String({ 10, 130 }, Color::White, { "d:", d });
if (Input::key.Return.on){ break; }//Enterで終了
}
System::End();
return true;
}

## Member Function Documentation

static void SDX::Rand::Reset | ( | int | 初期化子 | ) |
| inline static

乱数を初期化する.

static double SDX::Rand::Get | ( | double | 最大値 | ) |
| inline static

0～最大値の乱数を取得.

static int SDX::Rand::Get | ( | int | 最大値 | ) |
| inline static

0～最大値の乱数を取得.

static double SDX::Rand::Get | ( | double | 最小値,
|  | double | 最大値
| ) |  |
| inline static

範囲を指定して乱数を取得.

static int SDX::Rand::Get | ( | int | 最小値,
|  | int | 最大値
| ) |  |
| inline static

範囲を指定して乱数を取得.

static bool SDX::Rand::Coin | ( | double | trueになる確率 | ) |
| inline static

範囲を指定して乱数を取得.

1.0の場合100の確率でtrueを返す